Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.dom
Class SimpleResultTreeImpl.SingletonIterator

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMAxisIteratorBase
            |
            +--org.apache.xalan.xsltc.dom.SimpleResultTreeImpl.SingletonIterator

public final class SimpleResultTreeImpl.SingletonIterator
extends DTMAxisIteratorBase

The SingletonIterator is used for the self axis.

Constructor Summary
`SimpleResultTreeImpl.SingletonIterator()`
`SimpleResultTreeImpl.SingletonIterator(int type)`

Method Summary
`void` | `gotoMark()`
`int` | `next()`
`void` | `setMark()`
`DTMAxisIterator` | `setStartNode(int nodeHandle)`

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`cloneIterator, getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, isReverse, reset, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleResultTreeImpl.SingletonIterator

    public SimpleResultTreeImpl.SingletonIterator()

### SimpleResultTreeImpl.SingletonIterator

    public SimpleResultTreeImpl.SingletonIterator(int type)

Method Detail

### setMark

    public void setMark()

### gotoMark

    public void gotoMark()

### setStartNode

    public DTMAxisIterator setStartNode(int nodeHandle)

### next

    public int next()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.